#include "cmwcalilaserfoucsall.h"
#include "ui_cmwcalilaserfoucsall.h"
#include "cmwcalilaserfoucs.h"
#include "logic_compdef.h"
CMWCaliLaserFoucsAll::CMWCaliLaserFoucsAll(QWidget *parent) :
    CMWidget(parent),
    ui(new Ui::CMWCaliLaserFoucsAll)
{
    ui->setupUi(this);
}

CMWCaliLaserFoucsAll::~CMWCaliLaserFoucsAll()
{
    delete ui;
}

void CMWCaliLaserFoucsAll::MInit()
{
    CMWCaliLaserFoucs* pcaliLaserFoucs = nullptr;
#ifdef __USE_D_NARROW__
    pcaliLaserFoucs = new CMWCaliLaserFoucs(ui->tabWidget, LASERPATH_D_NARROW);
    pcaliLaserFoucs->MInit();
    ui->tabWidget->addTab(pcaliLaserFoucs,
                          m_gSystem.m_mapNameList[LASERPATH_D_NARROW]);
    mchildwidgets[intptr_t(pcaliLaserFoucs)]=pcaliLaserFoucs;
#endif


#ifdef __USE_S_NARROW__
    pcaliLaserFoucs = new CMWCaliLaserFoucs(ui->tabWidget, LASERPATH_S_NARROW);
    pcaliLaserFoucs->MInit();
    ui->tabWidget->addTab(pcaliLaserFoucs,
                          m_gSystem.m_mapNameList[LASERPATH_S_NARROW]);
    mchildwidgets[intptr_t(pcaliLaserFoucs)] = pcaliLaserFoucs;
#endif

#ifdef __USE_L_NARROW__
    pcaliLaserFoucs = new CMWCaliLaserFoucs(ui->tabWidget, LASERPATH_L_NARROW);
    pcaliLaserFoucs->MInit();
    ui->tabWidget->addTab(pcaliLaserFoucs,
                          m_gSystem.m_mapNameList[LASERPATH_L_NARROW]);
    mchildwidgets[intptr_t(pcaliLaserFoucs)] = pcaliLaserFoucs;
#endif

#ifdef __USE_D_WIDE__
    pcaliLaserFoucs = new CMWCaliLaserFoucs(ui->tabWidget, LASERPATH_D_WIDE);
    pcaliLaserFoucs->MInit();
    ui->tabWidget->addTab(pcaliLaserFoucs,
                          m_gSystem.m_mapNameList[LASERPATH_D_WIDE]);
    mchildwidgets[intptr_t(pcaliLaserFoucs)] = pcaliLaserFoucs;
#endif

}
